de.caff.generics.function

## Interface FloatOperator2

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface FloatOperator2

  Binary operator with two float arguments and a float result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FloatOperator2` | `DIV` Float operator which returns the division result of two arguments: `a / b`
    `static FloatOperator2` | `MINUS` Float operator which returns the difference of two arguments: `a - b`
    `static FloatOperator2` | `MOD` Float operator which returns the modulo result of two arguments: `a % b`.
    `static FloatOperator2` | `MULT` Float operator which returns the product of two arguments: `a * b`
    `static FloatOperator2` | `PLUS` Float operator which returns the sum of two arguments: `a + b`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default FloatOperator2` | `andThen(FloatOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `float` | `applyAsFloat(float arg1, float arg2)` Apply the function.
    `default FloatOperator1` | `partialLeft(float argument)` Get a partially applied function.
    `default FloatOperator1` | `partialRight(float argument)` Get a partially applied function.

- - ### Field Detail

    - #### PLUS

          static final FloatOperator2 PLUS

      Float operator which returns the sum of two arguments: `a + b`.

    - #### MINUS

          static final FloatOperator2 MINUS

      Float operator which returns the difference of two arguments: `a - b`

    - #### MULT

          static final FloatOperator2 MULT

      Float operator which returns the product of two arguments: `a * b`

    - #### DIV

          static final FloatOperator2 DIV

      Float operator which returns the division result of two arguments: `a / b`

    - #### MOD

          static final FloatOperator2 MOD

      Float operator which returns the modulo result of two arguments: `a % b`.

  - ### Method Detail

    - #### applyAsFloat

          float applyAsFloat(float arg1,
                             float arg2)

      Apply the function.
      Parameters:
        `arg1` - first argument
        `arg2` - second argument
      Returns:
        result of the function

    - #### partialLeft

          @NotNull
          default FloatOperator1 partialLeft(float argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for first argument
      Returns:
        partially evaluated function

    - #### partialRight

          @NotNull
          default FloatOperator1 partialRight(float argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for second argument
      Returns:
        partially evaluated function

    - #### andThen

          @NotNull
          default FloatOperator2 andThen(@NotNull
                                                  FloatOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function